Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_19
Class NewsletterTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--djbuch.kapitel_19.NewsletterTest

All Implemented Interfaces:
  junit.framework.Test

public class NewsletterTest
extends junit.framework.TestCase

Author:
  Thomas Ekert

Constructor Summary
`NewsletterTest()`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `test_01_send()`
`void` | `test_02_sendErrors()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewsletterTest

    public NewsletterTest()

Method Detail

### test_01_send

    public void test_01_send()

### test_02_sendErrors

    public void test_02_sendErrors()

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
    `java.lang.Exception`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD